#!/usr/bin/env bash

set -eEo pipefail

ARCH="$1"
GITLAB_VERSION=$2

## Bloat is here
#dpkg -i "/tmp/gitlab-runner_${ARCH}.deb"
#apt-get update
#apt-get -f install -y
#rm -rf /var/lib/apt/lists/*
#rm "/tmp/gitlab-runner_${ARCH}.deb"
# TODO: Remove in 14.0 https://gitlab.com/gitlab-org/gitlab-runner/-/issues/4845
#rm "/home/gitlab-runner/.bash_logout"


## Bloat fix is here
curl -L --output /usr/local/bin/gitlab-runner "https://gitlab-runner-downloads.s3.amazonaws.com/${GITLAB_VERSION}/binaries/gitlab-runner-linux-${ARCH}"
chmod +x /usr/local/bin/gitlab-runner
groupadd -o -g 999 gitlab-runner 
useradd -m -g gitlab-runner --comment 'GitLab Runner' -u 999 -s /bin/bash gitlab-runner
gitlab-runner install --user=gitlab-runner --working-directory=/home/gitlab-runner
